<?
require_header ('Служба тех.поддержки');
echo'<div class="content">
<div class="block">';

if(!isset($_GET['read']) && !isset($_GET['history'])){
if($ku['status']!=1 && $ku['status']!=3){
if(isset($_POST['text']))
{
$text=$_POST['text'];
if(strlen2($text)<1)echo err_game("Введите сообщение.");
if($ku['time_support']>time()){err_game("Подождите ".time_left($ku['time_support']-$time));}
else
{

mysql_query("INSERT INTO `kolhoz_ticket` SET `id_user` = '$ku[id]', `type` = '".my_esc($_POST['type'])."', `otdel` = '".my_esc($_POST['otdel'])."', `text` = '".my_esc($_POST['text'])."', `otvet` = '1', `time` = '".time()."'");
update_ku('time_support',($time+(2*3600)));
$_SESSION['msg']='Ваше сообщение успешно отправлено в службу тех.поддержки';
header("Location: /support");
exit;
}
}

echo'
<form method="post"><div
style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden"><input type="hidden" name="mdp" value="'.$ku['mdp'].'"></div>
<ul>
<li>
<label>
<div>Тип заявки:</div>
<div><select name="type"><option selected="selected" value="1">Ошибка</option><option
value="2">Предложение</option><option
value="3">Вопрос</option></select></div>
</label>
<label>
<div>Отдел:</div>
<div><select name="otdel"><option selected="selected" value="1">Тех. поддержка</option><option
value="2">Администрация</option></select></div>
</label>
</li>
<li>
<label>
<div class="pt">Сообщение:</div>
<div><textarea class="wide" rows="5" name="text"></textarea></div>
</label>
</li>
<li>
<div style="font-size:0.6em">Внимание! Сообщение в тех. поддержку можно отправлять один раз в 3 часа.<br>
Тех. поддержка отвечает на вопросы, которые касаются игры "Супер Ферма"!</div>
</li>
<li>
<input type="submit" value="Отправить">
</li>
</ul>
</form>';

if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ticket` WHERE `id_user` = '$ku[id]'"),0)!=0){
echo "<h2>Заявки:</h2>";
$q=mysql_query("SELECT * FROM `kolhoz_ticket` WHERE `id_user` = '$ku[id]' ORDER BY `time` DESC") or die (mysql_error());

while($post=mysql_fetch_array($q))
{
if($post['otvet']==1)$status='нет ответа';
if($post['otvet']==2)$status='есть ответ';
if($post['otvet']==3)$status='просмотрено';
echo '<li><a class="" href="/support/read-'.$post['id'].'"><span class="ticket">Заявка #'.$post['id'].'</span></a> <span class="title">'.$status.'</span><li/>';
}
}
echo'</div>';
			}	else	{
if($ku['status']==1)$otdel=1; else if($ku['status']==3)$otdel=2; else {echo err_game("Произошла ошибка.");}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ticket` WHERE `otdel` = '$otdel' AND `otvet` = '1' AND (`id_adm`='$ku[id]' OR `id_adm`='0')"),0)!=0){
$q=mysql_query("SELECT * FROM `kolhoz_ticket` WHERE `otdel` = '$otdel' AND `otvet` = '1' AND (`id_adm`='$ku[id]' OR `id_adm`='0') ORDER BY `time` DESC") or die (mysql_error());

while($post=mysql_fetch_array($q))
{
if($post['type']==1)$type='ошибка';
if($post['type']==2)$type='предложение';
if($post['type']==3)$type='вопрос';
echo '<li><a class="" href="/support/read-'.$post['id'].'"><span class="ticket">Заявка #'.$post['id'].'</span></a> '.on_k($post['id_user']).' <a class="" href="/user/'.$post['id_user'].'">'.nc($post['id_user']).'</a> <span class="minor">(Тип: '.$type.')</span></li>';
}
}else{
echo 'Пусто...';
}
echo "<li class='pt'><img width='16' height='16' src='/images/icons/ticket-history.png' alt='*'> <a href='/support/history'>История заявок</a></li>";
}////////////////////////////Чтение///////////////////////////////
			}	else if(isset($_GET['read']))	{
$q=mysql_query("SELECT * FROM `kolhoz_ticket` WHERE `id` = '".my_esc($_GET['read'])."'") or die (mysql_error());
$post=mysql_fetch_array($q);
if(empty($post['id'])){$_SESSION['msg'] = 'Произошла Ошибка!';header("Location:/support");}
////////////////////////////Отправка ответа///////////////////////
if(isset($_POST['msg']) && ($ku['id']==$post['id_user'] || ($ku['status']==1 || $ku['status']==3)))
{
if(($ku['status']==1 || $ku['status']==3) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ticket` WHERE `id` = '$post[id]' AND (`id_adm` != '0' AND `id_adm`!='$ku[id]') LIMIT 1"),0)!=0)
{$_SESSION['msg'] = 'Ответ не отправлен, ответ уже есть';}else{
if($ku['status']==1 || $ku['status']==3)mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$post[id_user]', `id_kont` = '0', `msg` = 'Получен ответ на Заявку №$post[id] [url=/support]Посмотреть[/url]', `time` = '$time', `type` = 'to'");
mysql_query("INSERT INTO `kolhoz_ticket_otvet` SET `id_user` = '$ku[id]', `id_ticket` = '$post[id]', `text` = '".my_esc($_POST['msg'])."', `time` = '".time()."'");
mysql_query("UPDATE `kolhoz_ticket` SET `otvet`='".($ku['status']==1 || $ku['status']==3?"2' , `id_adm`='$ku[id]'":"1'")." WHERE `id` = '$post[id]'");
$_SESSION['msg'] = 'Ответ успешно отправлен';}
unset($_POST['msg']);
header("Location:/support/read-$post[id]");
exit;
}
///////////////////////////Удаление заявки////////////////////////
if(isset($_GET['del'])){
if(($ku['status']==1 || $ku['status']==3) || $post['id_user']==$ku['id'] && $_GET['del']==$post['id'])
{
mysql_query("DELETE FROM `kolhoz_ticket` WHERE `id` = '$post[id]'");
mysql_query("DELETE FROM `kolhoz_ticket_otvet` WHERE `id_ticket` = '$post[id]'");
$_SESSION['msg'] = 'Заявка успешно удалена';
header("Location:/support".(isset($_GET['history'])?"/history":null)."");
}
}
///////////////////////////Удаление поста//////////////////////////
if(isset($_GET['delpost'])){
$qpost=mysql_query("SELECT * FROM `kolhoz_ticket_otvet` WHERE `id` = '".my_esc($_GET['delpost'])."'") or die (mysql_error());
$qpost=mysql_fetch_array($qpost);
if(($ku['status']==1 || $ku['status']==3) || $qpost['id_user']==$ku['id'])
{
mysql_query("DELETE FROM `kolhoz_ticket_otvet` WHERE `id` = '$qpost[id]'");
$_SESSION['msg'] = 'Сообщение удалено.';
header("Location:/support/read-$qpost[id_ticket]");
}
}
//////////////////////////////Конец////////////////////////////////
if($ku['status']!=1 && $ku['status']!=3 && $ku['id']!==$post['id_user'])echo err_game("Произошла ошибка.");
else{
if($post['otvet']==2 && $post['id_user']==$ku['id'])mysql_query("UPDATE `kolhoz_ticket` SET `otvet`='3' WHERE `id` = '$post[id]'");

echo "<ul><li><span class='ticket'>От:</span> <span>".on_k($post['id_user'])."
<a class='' href='/user/$post[id_user]'>".nc($post['id_user'])."</a></span></li><li><div class='title'><p>".output_text($post['text'],$post['id_user'])."</p></div></li><li class='small minor'><span>".vremja($post['time'])."</span></li>";
$q=mysql_query("SELECT * FROM `kolhoz_ticket_otvet` WHERE `id_ticket` = '$post[id]' ORDER BY `time` ASC") or die (mysql_error());
while($opost=mysql_fetch_array($q))
{
echo "<li class='pt'><span class='ticket'>Ответ:</span> <span>".on_k($opost['id_user'])."
<a class='' href='/user/$opost[id_user]'>".nc($opost['id_user'])."</a></span></li><li><div class='title'><p>".output_text($opost['text'],$opost['id_user'])."</p></div></li><li class='small minor'><span>".vremja($opost['time'])."</span>".($opost['id_user']==$ku['id']?" <img width='16' height='16' src='images/icons/delete.png' alt='*'> <a href='/support/read-$opost[id_ticket]/delpost-$opost[id]'>Удалить</a> ":null)."</li>";

}
echo"<form action='/support/read-$post[id]' method='post'><div>
<label>Ответ:<br/><textarea rows='5' class='wide' name='msg'></textarea></label></div><div><input type='submit' value='Отправить'></div></form>
<li class='pt'> <img width='16' height='16' src='/images/icons/delete.png' alt='*'> <a href='/support/read-$post[id]/del-$post[id]'>Удалить заявку</a> </li>
<li> <img width='16' height='16' src='/images/icons/".(isset($_GET['history'])?"ticket-history.png":"tickets.png")."' alt='*'> <a href='/support".(isset($_GET['history'])?"/history":null)."'>Назад</a></li>
</ul></div>";
}

			}	else if (isset($_GET['history']) && ($ku['status']==1 || $ku['status']==3))	{
////////////////////////////Просмотр истории////////////////////////
if($ku['status']==1)$otdel=1; else if($ku['status']==3)$otdel=2; else {echo err_game("Произошла ошибка.");}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ticket` WHERE `otdel` = '$otdel' AND `id_adm` = '$ku[id]'"),0)!=0){
$q=mysql_query("SELECT * FROM `kolhoz_ticket` WHERE `otdel` = '$otdel' AND `id_adm` = '$ku[id]' ORDER BY `time` DESC") or die (mysql_error());

while($post=mysql_fetch_array($q))
{
if($post['otvet']==1)$status='отвечено пользователем';
if($post['otvet']==2)$status='не прочитано пользователем';
if($post['otvet']==3)$status='просмотрено пользователем';
echo '<li><a class="" href="/support/read-'.$post['id'].'/history"><span class="ticket">Заявка #'.$post['id'].'</span></a> '.on_k($post['id_user']).' <a class="" href="/user/'.$post['id_user'].'">'.nc($post['id_user']).'</a> <span class="title">'.$status.'</span> <a href="/support/read-'.$post['id'].'/del-'.$post['id'].'/history"><img width="16" height="16" src="/images/icons/delete.png" alt="*"></a></li>';
}
}else{
echo 'Пусто...';
}
echo "<li class='pt'><img width='16' height='16' src='/images/icons/tickets.png' alt='*'> <a href='/support'>Активные заявки</a></li>";
}
 include_once 'inc/foot.php';